Debian Bug report logs - #321229
radiusclient1: fails to authenticate on 64bit Systems

version graph

Package: radiusclient1; Maintainer for radiusclient1 is Debian QA Group <packages@qa.debian.org>; Source for radiusclient1 is src:radiusclient.

Reported by: Tim Weippert <weiti@security.tds.de>

Date: Thu, 4 Aug 2005 09:18:01 UTC

Severity: normal

Tags: patch

Found in version radiusclient1/0.3.2-8

Fixed in version radiusclient/0.3.2-9

Done: Turbo Fredriksson <turbo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Turbo Fredriksson <turbo@debian.org>:
Bug#321229; Package radiusclient1. Full text and rfc822 format available.

Acknowledgement sent to Tim Weippert <weiti@security.tds.de>:
New Bug report received and forwarded. Copy sent to Turbo Fredriksson <turbo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Weippert <weiti@security.tds.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: radiusclient1: fails to authenticate on 64bit Systems
Date: Thu, 04 Aug 2005 11:06:34 +0200
[Message part 1 (text/plain, inline)]
Package: radiusclient1
Version: 0.3.2-8
Severity: normal
Tags: patch


On an amd64 (SUN V20z) Authentication against an  Radius Server fails, because
the Attribute Value Pairs sending to the Server are to big. This is due the
64bit System. 

With the attached Patch, UINT4 and INT4 (defined in radiusclient.h) is 
defined as int not as long, so the header AVP Fields are within
the specification.

I would like to see the attached patch included in the Debian Package, 
because we use some Servers which are 64bit aware.

HTH, 

	tim


-- System Information:
Debian Release: 3.1
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.8-10-amd64-k8
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages radiusclient1 depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libradius1                  0.3.2-8      /bin/login replacement with RADIUS
ii  perl [perl5]                5.8.4-8      Larry Wall's Practical Extraction 

-- no debconf information
[radiusclient-64bit.patch (text/x-c, attachment)]

Reply sent to Turbo Fredriksson <turbo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tim Weippert <weiti@security.tds.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 321229-close@bugs.debian.org (full text, mbox):

From: Turbo Fredriksson <turbo@debian.org>
To: 321229-close@bugs.debian.org
Subject: Bug#321229: fixed in radiusclient 0.3.2-9
Date: Fri, 19 May 2006 05:47:12 -0700
Source: radiusclient
Source-Version: 0.3.2-9

We believe that the bug you reported is fixed in the latest version of
radiusclient, which is due to be installed in the Debian FTP archive:

libradius1-dev_0.3.2-9_i386.deb
  to pool/main/r/radiusclient/libradius1-dev_0.3.2-9_i386.deb
libradius1_0.3.2-9_i386.deb
  to pool/main/r/radiusclient/libradius1_0.3.2-9_i386.deb
radiusclient1_0.3.2-9_i386.deb
  to pool/main/r/radiusclient/radiusclient1_0.3.2-9_i386.deb
radiusclient_0.3.2-9.diff.gz
  to pool/main/r/radiusclient/radiusclient_0.3.2-9.diff.gz
radiusclient_0.3.2-9.dsc
  to pool/main/r/radiusclient/radiusclient_0.3.2-9.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 321229@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Turbo Fredriksson <turbo@debian.org> (supplier of updated radiusclient package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 19 May 2006 14:23:15 +0200
Source: radiusclient
Binary: libradius1-dev libradius1 radiusclient1
Architecture: source i386
Version: 0.3.2-9
Distribution: unstable
Urgency: low
Maintainer: Turbo Fredriksson <turbo@debian.org>
Changed-By: Turbo Fredriksson <turbo@debian.org>
Description: 
 libradius1 - /bin/login replacement with RADIUS. Shared lib to used by program
 libradius1-dev - /bin/login replacement with RADIUS. Header file and link lib.
 radiusclient1 - /bin/login replacement which uses the RADIUS protocol for authent
Closes: 272872 321229 359556
Changes: 
 radiusclient (0.3.2-9) unstable; urgency=low
 .
   * Fix auth on 64bit machines. Patch by Tim Weippert.
     Closes: #321229
   * Fix lib/buildreq.c:rc_acct_proxy(). Patch by Julien Pinon.
     Closes: #272872
   * Remove /usr/doc symlink.
     Closes: #359556
Files: 
 4df7ff273d4592fbb3fc7943df3a5fd2 655 admin extra radiusclient_0.3.2-9.dsc
 8037e9f1e9fe25f248a5dc8baffe7639 42709 admin extra radiusclient_0.3.2-9.diff.gz
 7f9656f5c6185466f30aa5f937958811 33010 admin extra radiusclient1_0.3.2-9_i386.deb
 e7fbbfea0e33a8d3377393f3186286da 28902 libdevel extra libradius1-dev_0.3.2-9_i386.deb
 fa6b4217ee9b8e1dc46596b91474949e 31508 libs extra libradius1_0.3.2-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQFEbbsTmlWzPKccHgARApKSAJsEuyz3lg0+BpntCsP0cN7iLLWPYwCfduKD
MrLBcmCM4g8nV7xz8hOMbpQ=
=QSnb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 01:22:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 12:04:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.